Bug 245732 (CVE-2007-3108) - CVE-2007-3108 openssl: RSA side-channel attack
Summary: CVE-2007-3108 openssl: RSA side-channel attack
Status: CLOSED ERRATA
Alias: CVE-2007-3108
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: reported=20070626,source=openssl,publ...
Keywords: Security
Depends On: 250574 250576 250577 250578 250579 250580 250581 322891
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-26 11:42 UTC by Mark J. Cox
Modified: 2014-11-05 20:23 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-04 21:55:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch for 0.9.8b (2.82 KB, patch)
2007-07-16 15:39 UTC, Miloslav Trmač
no flags Details | Diff
Proposed patch for 0.9.7a (2.82 KB, patch)
2007-07-16 15:55 UTC, Miloslav Trmač
no flags Details | Diff
Proposed patch for 0.9.6 and 0.9.6b (3.08 KB, patch)
2007-07-16 21:53 UTC, Miloslav Trmač
no flags Details | Diff
Proposed patch for 0.9.5a (3.07 KB, patch)
2007-07-16 22:53 UTC, Miloslav Trmač
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0813 normal SHIPPED_LIVE Moderate: openssl security update 2007-10-22 10:40:30 UTC
Red Hat Product Errata RHSA-2007:0964 normal SHIPPED_LIVE Important: openssl security update 2007-10-12 14:22:50 UTC
Red Hat Product Errata RHSA-2007:1003 normal SHIPPED_LIVE Moderate: openssl security and bug fix update 2007-11-15 14:58:46 UTC
Mozilla Foundation 386776 None None None Never

Description Mark J. Cox 2007-06-26 11:42:06 UTC
The OpenSSL team made the following commit publically to the 0.9.8 head:
http://cvs.openssl.org/chngview?cn=16275

This is a possible weakness in OpenSSL which could allow a local user in certain
circumstances to divulge information about private keys being used.   For
example if a server has a SSL web server on it, a local unprivileged user may be
able to get hold of the key.  

I'm not sure in practice how possible this would be; it would rely on a system
that isn't doing much else that could interfere with some spy process designed
to figure out this information (and probably won't be possible if you have a
server handling a lot of traffic, has more than one key, lots of local
processes, and so on).

It's similar to previous issues and is rated severity=moderate

I'm not sure if the OpenSSL team plan to upgrade older versions of OpenSSL or
when this will be announced publicly.  Please treat as embargoed for now.

Comment 2 Miloslav Trmač 2007-07-16 15:39:43 UTC
Created attachment 159337 [details]
Proposed patch for 0.9.8b

Comment 3 Miloslav Trmač 2007-07-16 15:55:25 UTC
Created attachment 159339 [details]
Proposed patch for 0.9.7a

Comment 4 Miloslav Trmač 2007-07-16 21:53:23 UTC
Created attachment 159381 [details]
Proposed patch for 0.9.6 and 0.9.6b

Comment 5 Miloslav Trmač 2007-07-16 22:53:59 UTC
Created attachment 159391 [details]
Proposed patch for 0.9.5a

Comment 7 Mark J. Cox 2007-08-02 10:08:37 UTC
removing embargo, CERT published
http://www.kb.cert.org/vuls/id/724968
see also 
http://openssl.org/news/patch-CVE-2007-3108.txt

Comment 8 Mark J. Cox 2007-08-02 10:11:44 UTC
Because this change has not been tested in a full upstream OpenSSL release there
is some risk that it may introduce unexpected side-effects.  Given this issue is
not serious, our current plan is as follows:

- To include the backported fix in an OpenSSL update ready for RHEL 4.6.   This
will get testing via beta and give time for more extensive internal testing
- To release an async update for OpenSSL for other RHEL platforms at the same
time as RHEL4.6 is released

Comment 16 Vincent Danen 2013-04-04 21:55:46 UTC
This was fixed in Red Hat Enterprise Linux via:

Red Hat Enterprise Linux version 2.1: RHSA-2007:0813
Red Hat Enterprise Linux version 3: RHSA-2007:0813
Red Hat Enterprise Linux version 4: RHSA-2007:1003
Red Hat Enterprise Linux version 5: RHSA-2007:0964

Comment 17 Vincent Danen 2014-11-05 20:23:27 UTC
Statement:

(none)


Note You need to log in before you can comment on or make changes to this bug.